To merge (concatenate) pdfs:

    $ pdftk inputs cat output newfile.pdf


To merge all pdfs:

    $ pdftk *.pdf cat output newfile.pdf


To break a pdf into single page files:

    $ pdftk input.pdf burst


To combine parts of two or more files, use handles:

    $ pdftk A=firstfile.pdf B=secondfile.pdf cat A1-7 B1-5 A8 output newfile.pdf

========================================================================

To edit metadata is a multistep process:

1) Dump the pdf metadata:

    $ pdftk input.pdf dump_data metadata.txt

2) Edit the metadata (Geany appears to work), adding:

```
InfoBegin
InfoKey: Author
InfoValue: Kenneth John Odle
InfoBegin
InfoKey: Title
InfoValue: Journal #42

(For "Title" enter whatever you want to see in the document's title bar as you read it.)

3) Update the metadata in the pdf file:

    $ pdft input.pdf update_info metadata.txt output.pdf

Note that you must write to another file, as pdftk cannot overwrite the original file.
Thus, make the file you save the scan as different than what you want the final file to be named.

See https://sejh.wordpress.com/2014/11/26/changing-pdf-titles-with-pdftk/

========================================================================

To shuffle pages (interleave double-sided originals):

Scan the front sides: 001a.pdf 
This gives you pages 1 3 5 7 9

Scan the reverse sides: 001b.pdf
This gives you pages 10 8 6 4 2

    $ pdftk A=001a.pdf B=001b.pdf shuffle A1-5 B5-1 output 001.pdf

001.pdf should now be in the order:
1 2 3 4 5 6 7 8 9 10

See the sample files included in this repo.
